# -*- encoding: utf-8 -*-
# stub: distributed-mutex 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "distributed-mutex".freeze
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "allowed_push_host" => "https://rubygems.org" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Nathan Palmer".freeze]
  s.bindir = "exe".freeze
  s.date = "2016-05-20"
  s.description = "\n    This gem allows you to lock specific chunks of code based on a shared key. It's a Mutex, but locks beyond a single machine by utilizing Redis's SETNX.\n  ".freeze
  s.email = ["nathan@nathanpalmer.com".freeze]
  s.homepage = "https://github.com/unchartedcode/distributed-mutex".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Distributed Mutex to allow mutual-exclusion via acquiring locks between multiple processes or machines".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<mock_redis>.freeze, ["~> 0"])
    s.add_development_dependency(%q<byebug>.freeze, ["~> 9"])
    s.add_development_dependency(%q<coveralls>.freeze, ["~> 0"])
    s.add_runtime_dependency(%q<redis>.freeze, ["~> 3"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<mock_redis>.freeze, ["~> 0"])
    s.add_dependency(%q<byebug>.freeze, ["~> 9"])
    s.add_dependency(%q<coveralls>.freeze, ["~> 0"])
    s.add_dependency(%q<redis>.freeze, ["~> 3"])
  end
end
